Skip to main content
PATCH
/
api
/
agents
/
{id}
Update agent
curl --request PATCH \
  --url https://sontairo.com/api/agents/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "systemPrompt": "<string>",
  "providerKeyId": "<string>",
  "isActive": true
}
'
{
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "projectId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "systemPrompt": "<string>",
    "isActive": true,
    "providerKeyId": "<string>",
    "providerKey": {
      "id": "<string>",
      "name": "<string>",
      "provider": "<string>",
      "model": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

id
string
required

Query Parameters

workspaceId
string
required
projectId
string

Body

application/json
name
string
Required string length: 1 - 100
description
string | null
Maximum string length: 500
systemPrompt
string | null
Maximum string length: 10000
providerKeyId
string | null
isActive
boolean

Response

Agent updated

data
object